# ``twisted`.`web`.`client`.`WebClientContextFactory``

class documentation

`class WebClientContextFactory: (source)`

View In Hierarchy

This class is deprecated. Please simply use `Agent` as-is, or if you want to customize something, use `BrowserLikePolicyForHTTPS`.

A `WebClientContextFactory` is an HTTPS policy which totally ignores the hostname and port. It performs basic certificate verification, however the lack of validation of service identity (e.g. hostname validation) means it is still vulnerable to man-in-the-middle attacks. Don't use it any more.

Method | `getContext` | Return an `OpenSSL.SSL.Context`.
Method | `_getCertificateOptions` | Return a `CertificateOptions`.

@_requireSSL
def getContext(self, hostname, port): (source)
Return an `OpenSSL.SSL.Context`.

Parameters
hostname | ignored
port | ignored
Returns
`OpenSSL.SSL.Context` | A new SSL context.

def _getCertificateOptions(self, hostname, port): (source)
Return a `CertificateOptions`.

Parameters
hostname | ignored
port | ignored
Returns
`CertificateOptions` | A new CertificateOptions instance.